
Redmine - Defect #8450

redmine:email:receive_imap fails silently when creating an account where login is too long

2011-05-27 12:45 - Daniel Taylor

Status: Closed Start date: 2011-05-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.3

Description

When the unknown_user=create option is set, this task fails silently when the account it tries to create is too long (somewhat related

to IssueID #2719).  It would be nice if it was possible to extend the maximum length of the login in the administration interface, or

allow you to specify the format of the login name created in the incoming email settings (i.e 'firstname.lastname' or everything before

the '@',) but at the very least it should log when it fails because of this.

Related issues:

Related to Redmine - Defect #2719: Increase username length limit from 30 to 60 Closed 2010-09-21

Is duplicate of Redmine - Defect #7717: MailHandler user creation for unknown... Closed 2011-02-25

History

#1 - 2011-06-01 19:27 - Jean-Philippe Lang

It does not exactly silently fail. You should see an error message in your log file (see: source:/trunk/app/models/mail_handler.rb@5815#L69).

Anyway, I agree that it should be handled in a cleaner way.

#2 - 2011-11-27 16:41 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #7717, fixed in r7952.
